﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sample
{
    public class MyDictionary : INotifyPropertyChanged
    {
        private String english;

        private EnglishToOther german;

        private EnglishToOther french;

        private EnglishToOther spanish;

        public String English
        {
            get { return english; }
            set
            {
                english = value;
                OnPropertyChanged("English");
            }
        }

        public EnglishToOther German
        {
            get { return german; }
            set
            {
                german = value;
                OnPropertyChanged("German");
            }
        }

        public EnglishToOther French
        {
            get { return french; }
            set
            {
                french = value;
                OnPropertyChanged("French");
            }
        }

        public EnglishToOther Spanish
        {
            get { return spanish; }
            set
            {
                spanish = value;
                OnPropertyChanged("Spanish");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }

    }

    public class EnglishToOther : INotifyPropertyChanged
    {
        private string english;
        private string other;

        public string English
        {
            get { return english; }
            set
            {
                english = value;
                OnPropertyChanged("English");
            }
        }

        public string Other
        {
            get { return other; }
            set
            {
                other = value;
                OnPropertyChanged("Other");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }
    }
}
