﻿using Syncfusion.Windows.Controls.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ViewModel viewModel = new ViewModel();

            this.DataContext = viewModel;

            GridDataControl gdc = new GridDataControl();
            gdc.ItemsSource = viewModel.Collection;
            gdc.ShowAddNewRow = false;
            gdc.NotifyComplexPropertyChanges = true;
            gdc.AutoPopulateColumns = false;

            GridDataVisibleColumn column1 = new GridDataVisibleColumn();
            column1.MappingName = "English";
            column1.HeaderText = "English";
            gdc.VisibleColumns.Add(column1);

            GridDataVisibleColumn column2 = new GridDataVisibleColumn();
            column2.MappingName = "German.Other";
            column2.HeaderText = "German";
            gdc.VisibleColumns.Add(column2);

            GridDataVisibleColumn column3 = new GridDataVisibleColumn();
            column3.MappingName = "French.Other";
            column3.HeaderText = "French";
            gdc.VisibleColumns.Add(column3);

            this.stackpanel.Children.Add(gdc);
        }
    }
}
